package com.friday.tooldriver.mapper.taieoc;

import com.friday.operation.api.keepalive.dto.taieoc.OcTenantFilterDto;
import com.friday.tooldriver.po.taieoc.OcInfoPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
public interface OcMapper {
    void insert(OcInfoPo po);
    void update(OcInfoPo po);
    void deleteByPrimaryKey(@Param("id")Long id, @Param("operator") String operator);

    OcInfoPo selectByPrimaryKey(Long id);

    List<OcInfoPo> selectOcInfo(OcTenantFilterDto filterDto);
}
